Tolong pilih kategori sesuai, jenis posting (diskusi atau bukan) dan sertakan tag/topik yang sesuai seperti komputer, java, php, mysql, dll. Promosi atau posting tidak pada tempatnya akan kami hapus!
- Bagi Anda yang ingin mendaftar, baca link berikut:
http://diskusiweb.com/discussion/50491/how-to-registrasi-diskusiweb-com-baca-ini-terlebih-dahulu
- Cara menyisipkan kode program supaya tampil rapi dan terformat dengan baik di diskusiweb.com: http://www.diskusiweb.com/discussion/50415/cara-menyisipkan-kode-program-di-diskusiweb-com
- Cara posting gambar/image di post Anda: http://www.diskusiweb.com/discussion/47345/cara-menyisipkan-menyertakan-image-pada-posting/p1

XML error

edited November -1 in Diskusi Pemrograman & IT
[quote][i]Originally posted by 2mk[/i]
Wah, itu kan kodingnya wordpress, seharusnya gak ada errornya, coba ganti versinya [/quote]

Itu error waktu pakai wp ver.2.1.3 dan setelah ganti dengan yg lebih rendah wp ver.2.0.4 muncul error :

[quote]
XML parsing failed: syntax error (Line: 2, Character: 0)
[/quote]


[quote]
1:
2: <?xml version="1.0" encoding="UTF-8"?><!-- generator="wordpress/2.0.4" -->
3: <rss version="2.0"
4: xmlns:content="http://purl.org/rss/1.0/modules/content/">
5: <channel>
[/quote]

Kok bisa gitu ya? trus gimana solusinya? maklum baru belajar wp. makasih jawabannya.
Tagged:

Comments

  • boleh liat file xml-nya?
  • ini file nya /wp-feed.php :

    <?php

    if (empty($doing_rss)) {
    $doing_rss = 1;
    require(dirname(__FILE__) . '/wp-blog-header.php');
    }

    // Remove the pad, if present.
    $feed = preg_replace('/^_+/', '', $feed);

    if ($feed == '' || $feed == 'feed') {
    $feed = 'rss2';
    }

    if ( is_single() || ($withcomments == 1) ) {
    require(ABSPATH . 'wp-commentsrss2.php');
    } else {
    switch ($feed) {
    case 'atom':
    require(ABSPATH . 'wp-atom.php');
    break;
    case 'rdf':
    require(ABSPATH . 'wp-rdf.php');
    break;
    case 'rss':
    require(ABSPATH . 'wp-rss.php');
    break;
    case 'rss2':
    require(ABSPATH . 'wp-rss2.php');
    break;
    case 'comments-rss2':
    require(ABSPATH . 'wp-commentsrss2.php');
    break;
    }
    }

    ?>
  • Wah, itu kan kodingnya wordpress, seharusnya gak ada errornya, coba ganti versinya
  • Originally posted by 2mk
    Wah, itu kan kodingnya wordpress, seharusnya gak ada errornya, coba ganti versinya

    Itu error waktu pakai wp ver.2.1.3 dan setelah ganti dengan yg lebih rendah wp ver.2.0.4 muncul error :
    XML parsing failed: syntax error (Line: 2, Character: 0)

    1:
    2: <?xml version="1.0" encoding="UTF-8"?><!-- generator="wordpress/2.0.4" -->
    3: <rss version="2.0"
    4: xmlns:content="http://purl.org/rss/1.0/modules/content/">;
    5: <channel>

    Kok bisa gitu ya? trus gimana solusinya? maklum baru belajar wp. makasih jawabannya.
  • Coba dijadikan seperti ini:

    1: <?xml version="1.0" encoding="UTF-8"?><!-- generator="wordpress/2.0.4" -->
    2: <rss version="2.0" xmlns:content="http://purl.org/rss/1.0/modules/content/">;
    3: <channel>

    Barangkali bisa...
  • Pada file mana yang harus saya edit? wp-atom.php atau wp-feed.php atau file yang lainnya? :(
Sign In or Register to comment.